/*
 * $Id $
 *
 * $Date: 2006/10/02 12:45:09 $
 * $Revision: 1.5 $
 * $Author: enes $
 *
 * Copyright CERN, All Rights Reserved.
 */
package cern.jjar.runner;

/**
 * 
 * @version $Id: RepositoryElement.java,v 1.5 2006/10/02 12:45:09 enes Exp $
 * @author Lionel Mestre
 */
public class RepositoryElement {
   
	
  private String url;

  //
  // -- CONSTRUCTORS -----------------------------------------------
  //
  
  public RepositoryElement() {
  }
  
  public RepositoryElement(String storepath) {
    this.url = storepath;
  }
  
  //
  // -- PUBLIC METHODS -----------------------------------------------
  //
  
  /* (non-Javadoc)
   * @see java.lang.Object#toString()
   */
  public String toString() {
    return url;
  }

  /**
   * @return Returns the storepath.
   */
  public final String getUrl() {
    return url;
  }
  /**
   * @param path The storepath to set.
   */
  public final void setUrl(String path) {
    this.url = path;
  }
}
