/*
 * JJarUtils.java
 * 
 * Created on February 10, 2004, 9:55 AM
 */

package cern.jjar.utils;

/**
 * @author gkruk
 */
public class JJarUtils {

  private JJarUtils() {}

  /*
   * Concatenates context with file, using '/' char.
   */
  public static String concatenatePath(String context, String file) {
    if (context == null || context.length() == 0) {
      return file;
    }
    if (context.charAt(context.length() - 1) != '/') {
      return context + "/" + file;
    }
    return context + file;
  }
}