package release.notification;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.util.Properties;

public class PropertiesHandler{
    
    private static PropertiesHandler propertiesHandler = new PropertiesHandler();
    private Properties properties;
    private static final String PROPERTIES_FILE = "notification.properties";
    
    public PropertiesHandler(){
        properties = new Properties();
        try {
            properties.load(new BufferedInputStream(PropertiesHandler.class.getResourceAsStream(PROPERTIES_FILE)));
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    
    public static PropertiesHandler getInstance(){
        return propertiesHandler;
    }

    public String loadPropetry(String property){
        return properties.getProperty(property); 
    }
}