<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" method="xml"/>
  
	<xsl:param name="dependenciesFile"/>
  <xsl:variable name="dependencies" select="document($dependenciesFile)"/>
	
  <!-- Whenever you match any node or any attribute -->
  <xsl:template match="node()|@*">
    <!-- Copy the current node -->
    <xsl:copy>
      <!-- Including any attributes it has and any child nodes -->
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="node()|@*" mode="copy">
    <!-- Copy the current node -->
    <xsl:copy>
      <!-- Including any attributes it has and any child nodes -->
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="dependencies">
		 <xsl:variable name="name" select="../@name"/>
     <xsl:apply-templates select="$dependencies/products/product[@name=$name]/dependencies" mode="copy"/>
  </xsl:template>
</xsl:stylesheet>
