@echo off

if not exist "%cmmnbuild_home%\_update\common-build.xml" goto noLibUpdate

echo An update of cmmnbuild has been downloaded and is ready to be installed.
echo Before to continue you must close any application that could lock files
echo inside of cmmnbuild and prevent the update to be successfull.
echo For instance, if Eclipse is running, make sure you exit it before to continue.
echo .
echo If you do not wish to update you can simply close this window.
echo .
pause 
echo checking no old version is left
if exist "%cmmnbuild_home%\_old_lib"        rmdir /S/Q "%cmmnbuild_home%\_old_lib"
if exist "%cmmnbuild_home%\_old_bin"        rmdir /S/Q "%cmmnbuild_home%\_old_bin"
if exist "%cmmnbuild_home%\_old_etc"        rmdir /S/Q "%cmmnbuild_home%\_old_etc"
if exist "%cmmnbuild_home%\_old_thirdparty" rmdir /S/Q "%cmmnbuild_home%\_old_thirdparty"
if exist "%cmmnbuild_home%\_old_includes"   rmdir /S/Q "%cmmnbuild_home%\_old_includes"
if exist "%cmmnbuild_home%\_old"            rmdir /S/Q "%cmmnbuild_home%\_old"
echo moving current cmmnbuild to _old
if exist "%cmmnbuild_home%\lib"          rename "%cmmnbuild_home%\lib"        _old_lib
if exist "%cmmnbuild_home%\lib"          goto lib_error
if exist "%cmmnbuild_home%\bin"          rename "%cmmnbuild_home%\bin"        _old_bin
if exist "%cmmnbuild_home%\bin"          goto bin_error
if exist "%cmmnbuild_home%\etc"          rename "%cmmnbuild_home%\etc"        _old_etc
if exist "%cmmnbuild_home%\etc"          goto etc_error
if exist "%cmmnbuild_home%\thirdparty"   rename "%cmmnbuild_home%\thirdparty" _old_thirdparty
if exist "%cmmnbuild_home%\thirdparty"   goto thirdparty_error
if exist "%cmmnbuild_home%\includes"     rename "%cmmnbuild_home%\includes"   _old_includes
if exist "%cmmnbuild_home%\includes"     goto includes_error
if not exist "%cmmnbuild_home%\includes" mkdir  "%cmmnbuild_home%\_old"
move "%cmmnbuild_home%\*.*"              "%cmmnbuild_home%\_old"
if exist "%cmmnbuild_home%\common-build.xml"   goto cmmnbuild_error
echo moving new cmmnbuild to current
if exist "%cmmnbuild_home%\_update"            move "%cmmnbuild_home%\_update\*.*"        "%cmmnbuild_home%"
if exist "%cmmnbuild_home%\_update\etc"        move "%cmmnbuild_home%\_update\etc"        "%cmmnbuild_home%\etc"
if exist "%cmmnbuild_home%\_update\includes"   move "%cmmnbuild_home%\_update\includes"   "%cmmnbuild_home%\includes"
if exist "%cmmnbuild_home%\_update\lib"        move "%cmmnbuild_home%\_update\lib"        "%cmmnbuild_home%\lib"
if exist "%cmmnbuild_home%\_update\thirdparty" move "%cmmnbuild_home%\_update\thirdparty" "%cmmnbuild_home%\thirdparty"
if exist "%cmmnbuild_home%\_update\bin"        move "%cmmnbuild_home%\_update\bin"        "%cmmnbuild_home%\bin"
echo removing old
if exist "%cmmnbuild_home%\_old_lib"        rmdir /S/Q "%cmmnbuild_home%\_old_lib"
if exist "%cmmnbuild_home%\_old_bin"        rmdir /S/Q "%cmmnbuild_home%\_old_bin"
if exist "%cmmnbuild_home%\_old_etc"        rmdir /S/Q "%cmmnbuild_home%\_old_etc"
if exist "%cmmnbuild_home%\_old_thirdparty" rmdir /S/Q "%cmmnbuild_home%\_old_thirdparty"
if exist "%cmmnbuild_home%\_old_includes"   rmdir /S/Q "%cmmnbuild_home%\_old_includes"
if exist "%cmmnbuild_home%\_old"            rmdir /S/Q "%cmmnbuild_home%\_old"
echo .
echo Update successfull.
echo .
pause 
exit
:noLibUpdate
goto end:


:cmmnbuild_error
move "%cmmnbuild_home%\*.*" "%cmmnbuild_home%\_old"
rename "%cmmnbuild_home%\_old_includes" includes

:includes_error
rename "%cmmnbuild_home%\_old_thirdparty" thirdparty

:thirdparty_error
rename "%cmmnbuild_home%\_old_etc" etc

:etc_error
rename "%cmmnbuild_home%\_old_bin" bin

:bin_error
rename "%cmmnbuild_home%\_old_lib" lib

:lib_error

echo .
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo .
echo A process is locking one or more file in cmmnbuild preventing the update to
echo be done. Make sure you exit Java applications or IDE such as Eclipse and try
echo again.
echo .
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

:end