#!/bin/sh

# Hasty conversion from the equivalent .bat, although unix
# does NOT lock files in the same manner as windows.

if [ ! -e "$CMMNBUILD_HOME/_update/common-build.xml" ]; then
    echo "Update failed"
    exit 1;
fi;

cat <<EOF
--------------------------------------------------------------------------------
An update of cmmnbuild has been downloaded and is ready to be installed. You
may need to run this as root. Before you continue you must close any application
that could lock files inside of cmmnbuild and prevent the update from being
successful. For instance, if Eclipse is running, make sure you exit it before
you continue.
--------------------------------------------------------------------------------
EOF

read -s -n1 -p "Press any key to continue..."
echo

mv -v $CMMNBUILD_HOME $CMMNBUILD_HOME.OLD
mv -v $CMMNBUILD_HOME.OLD/_update $CMMNBUILD_HOME
rm -rf -v $CMMNBUILD_HOME.OLD

echo "Update completed."
