<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<HTML>  
    <HEAD>  
        <script language="JavaScript" type="text/javascript">
			
			function ShowSubs_RemoveSubs(){
				if(!ShowSubs_CheckInputProducts()){
					return false;
				}
				document.showsubscriptions.removeSubs.value="true";
				document.showsubscriptions.action="index.jsp"
				document.showsubscriptions.submit();
			}
			
			function ShowSubs_CheckInputProducts(){
				var i=-1;
				while(i < document.showsubscriptions.length){
					i++;
					if(i==document.showsubscriptions.length){
						alert("No products were specified");
						return false;
					}else{
						if(document.showsubscriptions[i].checked){
							return true;
						}
					}
				}
			}
		</script>
		 
    </HEAD>    
	<BODY>
		<jsp:useBean id="getSub"
	  		class="release.notification.javabeans.GetSubscription" scope="page"/>
	  		
		<jsp:setProperty name="getSub" property="subscriber" value="${param.user}" />
		
		<%
		String[] products = getSub.getSubscriptionList();
		if(products==null){
		%>
			<c:set var="productListIsNull" value="true" scope="request" />		
		<%
		}
		%>
		
		<a name="showResult"></a> 
		<c:choose>
    		<c:when test="${requestScope.verified=='false'}">
				<TABLE border="1" align="center" width="80%" >
					<TR>
						<TD>
							<FONT COLOR=red>
							The data entered was not correct. Make sure the email is valid,
							and that at least one product is chosen.
							</FONT>
						</TD>
					</TR>
				</TABLE>
		    </c:when>
		    <c:when test="${requestScope.productListIsNull=='true'}">
			    <TABLE border="1" align="center" width="80%" >
					<TR>
						<TD>
							<FONT COLOR=red>
							The data entered was not correct. Make sure the email is valid.
							</FONT>
						</TD>
					</TR>
				</TABLE>
		    </c:when>
		    <c:when test="${param.user=='*'}">
		    	<FORM name="showallsubscriptions" method="get" >
					<TABLE border="1" align="center" width="80%" >
						<TR>
							<TD>
								<H2> All subscriptions registered</H2><br>
							</TD>
						</TR>
							<c:forEach var="prod" items="<%= products %>">
								<TR valign="top" height="15">
									<TD>
										<c:out value="${prod}"/>
									</TD>
								</TR>
							</c:forEach>
					</TABLE>
				</FORM>
		    </c:when>
    		<c:otherwise>
				<FORM name="showsubscriptions" method="get" >
					<TABLE border="1" align="center" width="80%" >
						<TR>
							<TD>
								<H2> Subscriptions registered for: </H2><br>
								<b> <H3><FONT color=blue><jsp:getProperty name="getSub" property="subscriber" /> </FONT></H3></b>
							</TD>
						</TR>
							<c:forEach var="prod" items="<%= products %>">
								<TR valign="top" height="15">
									<TD>
										<input type="checkbox" name="product" value="${prod}">
										<c:out value="${prod}"/>
									</TD>
								</TR>
							</c:forEach>
						<TR>
							<TD>
								<input type="hidden" name="user" value="${param.user}" >
								<input type="hidden" name="removeSubs" value="" >
								<input type="button" name="unSubscribe" value="Unsubscribe" onClick="return ShowSubs_RemoveSubs()" >
								<input type="reset" value="Clear">
							</TD>
						</TR>
					</TABLE>
				</FORM>
    		</c:otherwise>
		</c:choose>
		<p>
		<p>
    </BODY>
</HTML>