<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>


<HTML>  
    <HEAD>  
        <TITLE>Product-notification</TITLE> 
        
        <script language="JavaScript" type="text/javascript">
		
			function ShowProds_RegisterSubs(){
				if(!ShowProds_CheckInputProducts()){
					return false;
				}
				document.productlist.registerSubs.value="true";
				document.productlist.action="index.jsp"
				document.productlist.submit();
			}
			
			function ShowProds_ViewSubs(){
				if(!ShowProds_CheckInputUser()){
					return false;
				}
				document.productlist.viewSubs.value="true";
				document.productlist.action="index.jsp"
				document.productlist.submit();
			}
			
			function ShowProds_CheckInputUser(){
				var userData = document.productlist.user.value;
								
				if(userData==''){
					alert("No email was specified");
					return false;	
				}
				return true;
			}

			function ShowProds_CheckInputProducts(){
				var i=-1;
				
				if(ShowProds_CheckInputUser()){
					while(i < document.productlist.length){
						i++;
						if(i==document.productlist.length){
							alert("No products were specified");
							return false;
						}	
						if(document.productlist[i].checked){
							return true;
						}
					}
				}else{
					return false;
				}
			}
	
		</script>
        
    </HEAD>    
	<BODY>  
		<jsp:useBean id="repHandler"
	  		class="release.notification.javabeans.GetRepositoryProducts" scope="page"/>
		
				
		<c:if test="${param.registerSubs=='true'}" >
			<jsp:include page="WEB-INF\jsp\ReceiveSubscription.jsp" />
		</c:if>
		<c:if test="${param.removeSubs=='true'}" >
			<jsp:include page="WEB-INF\jsp\RemoveSubscriptions.jsp" />
		</c:if>
		<c:if test="${param.viewSubs=='true' || param.registerSubs=='true' || param.removeSubs=='true'}" >
			<jsp:include page="WEB-INF\jsp\ShowSubscriptions.jsp" />
		</c:if>
			
		<p>
	
		<FORM name="productlist" method="get" onSubmit="return CheckInputs()">
			<TABLE border="2" align="center" width="80%" >
		      	<TR >
		      		<TD align="center" height="20" colspan=3>
		      			<h1>
		      				Products available for subscription:<br>
		      			</h1>
		      		</TD>
		      	</TR>
		      	<TR>
					<% 
					String[] products = repHandler.productList;
					int length = products.length;
					int columnLength = length/3 + 1;

					for(int i=0; i<columnLength; i++){ 
					%>
					<TR valign="top" height="15">
	    				<TD width=33%>
	    					<input type="checkbox" name="product" value="<%= products[i] %>">
	    					<% out.println(products[i]); %>
						</TD>
						<TD width=33%>
	    					<input type="checkbox" name="product" value="<%= products[i + columnLength] %>">
	    					<% out.println(products[i + columnLength]); %>
						</TD>
						<%
						if((i+2*columnLength)<length){
						%>
							<TD width=33%>
		    					<input type="checkbox" name="product" value="<%= products[i + 2*columnLength] %>">
		    					<% out.println(products[i + 2*columnLength]); %>
							</TD>
						<%
						}else{
						%>
							<TD width=33%>
								&nbsp
							</TD>
						<%
						}
						%>
	    			</TR>
					<%
					}
					%>
		      	</TR>
		      	<TR>
		      		<TD align="left" height="20" colspan=3>
		      			Enter email:
		      			<input type="text" name="user">
		      			<input type="hidden" name="registerSubs" value=""  >
		      			<input type="hidden" name="viewSubs" value=""  >
						<input type="button" name="Subscribe" value="Subscribe" onClick="return ShowProds_RegisterSubs()" >
						<input type="button" name="View subscriptions" value="View subscriptions" onClick="return ShowProds_ViewSubs()" >
						<input type="reset" value="Clear">
		      		</TD>
		      	</TR>
		    </TABLE>
		</FORM>
		
    </BODY>
</HTML>

